[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TBufStream.Truncate

Flush buffer, and truncate the file at current position.

## Declaration

Source position: objects.pp line 347

`procedure TBufStream.Truncate; virtual;`

## Description

If the status of the stream is stOK, then Truncate tries to flush the buffer, and then truncates the stream size to the current file position.

For an example, see TDosStream.Truncate.

## Errors

Errors can be those of Flush or TDosStream.Truncate.

## See also

TStream.Truncate |  | Truncate the stream size on current position.
TDosStream.Truncate |  | Truncate the file on the current position.
TStream.GetSize |  | Return the size of the stream.

Documentation generated on: Feb 26 2014